SCREEN_WIDTH	EQU	128
SCREEN_HEIGHT	EQU	57
SCREEN_TOP	EQU	3					; every line of data to display is placed on separate page, starting from the fourth ($0300)
SCREEN_CLEAR	EQU	$ff
FILLCODE_FILLLENGTH	EQU	64	;bytes

;/---ADRESY---/----------------------------------------------
HLINE		EQU	$0070
SCREEN0		EQU	$0300
SCREEN1		EQU	SCREEN0+(SCREEN_WIDTH)/4

PROGRAM		EQU	$3C00
PROGRAM_LENGHT	EQU	$2000		;8kb

DLIST0		EQU	$6200					;przy modyfikacji dl uwaa eby nie zaszy na siebie
DLIST1		EQU	DLIST0+$100			;$6300

;---DROOTY
ANDTABLE	EQU	DLIST1+$100			;$6400
ORATABLE	EQU	ANDTABLE+$100			;$6500
DIV4		EQU	ORATABLE+$100			;$6600

;---FEEL ^ GRD
LEFTEDGE	EQU	$0100
LEFTEDGECOLOR	EQU	LEFTEDGE+$80
RIGHTEDGE	EQU	$0200
RIGHTEDGECOLOR	EQU	RIGHTEDGE+$80

ANDLEFT		EQU	ANDTABLE			;$6400
ANDRIGHT	EQU	ORATABLE			;$6500

COLORLEFT00	EQU	DIV4+$100			;$6700
COLORRIGHT00	EQU	COLORLEFT00+$100		;$6800
COLORLEFT01	EQU	COLORRIGHT00+$100		;$6900
COLORRIGHT01	EQU	COLORLEFT01+$100		;$6A00
COLORLEFT10	EQU	COLORRIGHT01+$100		;$6B00
COLORRIGHT10	EQU	COLORLEFT10+$100		;$6C00
COLORLEFT11	EQU	COLORRIGHT10+$100		;$6D00
COLORRIGHT11	EQU	COLORLEFT11+$100		;$6E00

KKOLOR00	EQU	COLORRIGHT11+$100		;$6F00
KKOLOR01	EQU	KKOLOR00+$100			;$7000
KKOLOR10	EQU	KKOLOR01+$100			;$7100
KKOLOR11	EQU	KKOLOR10+$100			;$7200

FILLCODEAdr	EQU	KKOLOR11+$100			;$7300
FILLCODE	EQU	FILLCODEAdr+$100		;$7400

SQR1_L		EQU	FILLCODE+$100			;$7500
SQR1_H		EQU	SQR1_L+$200			;$7700
SQR2_L		EQU	SQR1_H+$200			;$7900
SQR2_H		EQU	SQR2_L+$200			;$7B00

PERSPECTIVE	EQU	SQR2_H+$200			;$7D00

COLORTEX	EQU	PERSPECTIVE+$100		;$7E00

;---GRD

COLORSHIFT00	EQU	DIV4+$100			;$6700
COLORSHIFT01	EQU	COLORSHIFT00+$100		;$6800
COLORSHIFT10	EQU	COLORSHIFT01+$100		;$6900
COLORSHIFT11	EQU	COLORSHIFT10+$100		;$6A00

GRDCODEAdrLSB	EQU	COLORSHIFT11+$100		;$6B00
GRDCODEAdrMSB	EQU	GRDCODEAdrLSB+$100		;$6C00
GRDCODE		EQU	GRDCODEAdrMSB+$100		;$6D00


;---ROTTABLE
ROTTABLE	EQU	$8000

;---SINCOS
SINUS		EQU	ROTTABLE+$2000			;$A000
COSINUS		EQU	SINUS+$100			;$A100
MSX		EQU	COSINUS+$100			;$A200

;---BLOWLOGO
BLOWLOGO	EQU	MSX+$A00			;$AC00
BLOWDL		EQU	BLOWLOGO+$1000

;/---ZMIENNE---/---------------------------------------------
pnt		EQU	$30
dlpnt		EQU	$32
bufor		EQU	$34		;wskanik na aktualny bufor ekranu

temp		EQU	$60
temp2		EQU	$62