	mpt_relocator 'msx\antrial.mpt' , msx

	org msx

	.sav [6] ?length

	org PROGRAM
main
	;---initialize GFX mode and set NMI
	jsr initGFX
	jsr int

	lda #3
	sta $d20f		;

	lda #<DLIST0
	sta temp
	lda #>DLIST0
	sta temp+1
	ldy #<SCREEN0
	ldx #SCREEN_TOP
	jsr makeDL

	lda #<DLIST1
	sta temp
	lda #>DLIST1
	sta temp+1
	ldy #<SCREEN1
	ldx #SCREEN_TOP
	jsr makeDL

	lda #<DLIST0
	sta $d402
	lda #>DLIST0
	sta $d403

	lda #<SCREEN0
	sta bufor
	lda #SCREEN_TOP
	sta bufor+1
	lda #LOGO_CLEAR
	ldx #SCREEN_WIDTH/4-1
	ldy #0
	jsr clrScr

	lda #<SCREEN1
	sta bufor
	lda #SCREEN_TOP
	sta bufor+1
	lda #LOGO_CLEAR
	ldx #SCREEN_WIDTH/4-1
	ldy #0
	jsr clrScr

/*
	;---PREPARE TABLES
	jsr makeSqrTab
	jsr makeAndTables
	jsr makeColorTables
	jsr makeKKolorTable
	jsr makeDiv4Table
	jsr generateFillCode
*/
	lda #0
	sta framedone

	;---MAIN LOOP
mainLoop
	lda #0
	sta vbidone

	jsr Scenario

	;---wait for vertical retrace
	lda #1
	sta framedone
vrt	lda vbidone
	beq vrt

theLoop	jmp mainLoop

vbidone		dta b(0)
framedone	dta b(0)

	icl 'h.asm'
	icl 'nmi.asm'
	icl 'display_list.asm'
	icl 'clear.asm'
	icl 'scenario.asm'
	icl '3d\drooty.asm'
	icl '3d\feel.asm'
	icl '3d\rots.asm'
	icl '3d\math.asm'
	icl '3d\grd.asm'
        icl 'msx\mpt_player.asm'

	opt l-
	icl 'msx\mpt_relocator.mac'

bjblogo
	ins 'raws\BJB2BPP.raw'
drootybg
	ins 'raws\DROOTY2BPP.raw'
dely
	ins 'raws\dely2bpp.raw'
miker
	ins 'raws\miker2bpp.raw'
smg
	ins 'raws\smiglo2bpp.raw'
lbracket
	ins 'raws\lbracket2bpp.raw'
rbracket
	ins 'raws\rbracket2bpp.raw'

	org ROTTABLE

	ins '3d\rots.dat'

	org SINUS

SIN	dta b(sin(0,64,256,0,255))

	org BLOWLOGO

	ins 'raws\blowjobb2bpp.raw'

	run main