; setting vblank procedure address
int	lda 20
	cmp 20
	beq *-2

	sei
	lda #0
	sta $d40e
	lda #$fe
	sta $d301

	lda #<nmi
	sta $fffa
	lda #>nmi
	sta $fffb

	lda #$40
	sta $d40e

	rts

; this will be called every vblank interrupt
nmi	php
	pha
	txa
	pha
	tya
	pha							; <- save registers

	jsr mpt_player.play			; play msx, swap gfx buffers if need...............

	lda framedone
	beq retvbl
	lda #0
	sta framedone

	lda bufor
	beq changeto0				; if buffer pointer lsb is 0, we were writing tu buffer0. we're done with drawing, so show it on screen!

changeto1						; otherwise, we were rendering to buffer1...
	lda #<DLIST1
	sta $d402
	lda #>DLIST1
	sta $d403

	lda #<SCREEN0
	sta bufor
	lda #SCREEN_TOP
	sta bufor+1

	lda #1
	sta vbidone

	pla
	tay
	pla
	tax
	pla
	plp								; <- restore registers

	rti
changeto0
	lda #<DLIST0
	sta $d402
	lda #>DLIST0
	sta $d403

	lda #<SCREEN1
	sta bufor
	lda #SCREEN_TOP
	sta bufor+1

	lda #1
	sta vbidone

retvbl	pla
	tay
	pla
	tax
	pla
	plp

	rti

;--- this one is used at the end of the demo
nmi2	php
	pha
	txa
	pha
	tya
	pha

	jsr mpt_player.play

	lda #<BLOWDL
	sta $d402
	lda #>BLOWDL
	sta $d403

	lda framedone
	beq retvbl2
	lda #0
	sta framedone

retvbl2

	lda #1
	sta vbidone

	pla
	tay
	pla
	tax
	pla
	plp

	rti
