COL0		EQU	$D01A
COL3		EQU	COL0-2
COL2		EQU	COL3-1
COL1		EQU	COL2-1
;---
LOGO_CLEAR	EQU	$00
BJBLOGO_CLEAR	EQU	$00
BJBLOGO_WIDTH	EQU	56/4
BJBLOGO_HEIGHT	EQU	7
BJBLOGO_LEFT	EQU	(SCREEN_WIDTH/4-BJBLOGO_WIDTH)/2
BJBLOGO_RIGHT	EQU	BJBLOGO_LEFT+BJBLOGO_WIDTH
BJBLOGO_TOP	EQU	(SCREEN_HEIGHT-BJBLOGO_HEIGHT)/2+SCREEN_TOP
;---
DROOTY_CLEAR1	EQU	$00
DROOTYBG_WIDTH	EQU	64/4
DROOTYBG_HEIGHT	EQU	57
DROOTYBG_LEFT	EQU	(SCREEN_WIDTH/4)/2
DROOTYBG_RIGHT	EQU	DROOTYBG_LEFT+DROOTYBG_WIDTH
DROOTYBG_TOP	EQU	SCREEN_TOP
;---
CREDITS_CLEAR	EQU	$AA
CREDITS_HEIGHT	EQU	57
CREDITS_LEFT	EQU	1
CREDITS_TOP	EQU	3

GPHX_WIDTH	EQU	28/4
GPHX_RIGHT	EQU	CREDITS_LEFT+GPHX_WIDTH

MZX_WIDTH	EQU	36/4
MZX_RIGHT	EQU	CREDITS_LEFT+MZX_WIDTH

KD_WIDTH	EQU	48/4
KD_RIGHT	EQU	CREDITS_LEFT+KD_WIDTH
;---
FEEL_CLEAR1	EQU	$FF
;---
BRACKETS_CLEAR	EQU	$FF
BRACKET_WIDTH	EQU	16/4
BRACKET_HEIGHT	EQU	45
LBRACKET_RIGHT	EQU	8
LBRACKET_TOP	EQU	(SCREEN_HEIGHT-BRACKET_HEIGHT)/2+SCREEN_TOP
RBRACKET_RIGHT	EQU	28
RBRACKET_TOP	EQU	(SCREEN_HEIGHT-BRACKET_HEIGHT)/2+SCREEN_TOP
;---
GRD_CLEAR1	EQU	$FF
;---
BLOWLOGO_WIDTH	EQU	160/4
BLOWLOGO_HEIGHT	EQU	80
BLOWLOGO_RIGHT	EQU	160/4
BLOWLOGO_TOP	EQU	SCREEN_TOP

prevCnt		dta b(0)
sceneCnt	dta a(0)
scenarioAdrTableLSB
	dta b(<bjb_cls, <bjb_pal1, <bjb_wait1)
	dta b(<drooty_init, <drooty1, <drooty2, <drooty3, <drooty4, <drooty5, <drooty6)
	dta b(<feel_init, <credits_dely, <cube_dely, <credits_miker, <cube_miker)
	dta b(<credits_smg, <cube_smg /*<fejd*/)
	dta b(<cubes_init, <feel3cubes, <brackets, <prepare_grd, <grd)
	dta b(<showblow, <end)
scenarioAdrTableMSB
	dta b(>bjb_cls, >bjb_pal1, >bjb_wait1)
	dta b(>drooty_init, >drooty1, >drooty2, >drooty3, >drooty4, >drooty5, >drooty6)
	dta b(>feel_init, >credits_dely, >cube_dely, >credits_miker, >cube_miker)
	dta b(>credits_smg, >cube_smg /*>fejd*/)
	dta b(>cubes_init, >feel3cubes, >brackets, >prepare_grd, >grd)
	dta b(>showblow, >end)
Scenario
	ldx sceneCnt+1
	lda scenarioAdrTableLSB,x
	sta _sjsr+1
	lda scenarioAdrTableMSB,x
	sta _sjsr+2

_sjsr	jsr $FFFF

	rts

incSceneCounter		;(a:lsb, x:msb) -> y:lsb, a:msb
	sec
	sbc #1
	tay
	txa
	sbc #0
	bne iscEnd
	cpy #0
	bne iscEnd
	inc sceneCnt+1
iscEnd

	rts  

;------BLOWJOBB LOGO------

BJB_CLS_FRAMES		dta a(1)	; time period of the effect (in frames)

bjb_cls
	;set pallete
	lda #$00
	sta COL3

	;clear both screens
	lda #BJBLOGO_CLEAR
	sta temp+1
	ldx #SCREEN_WIDTH/4-1
	ldy #0
	jsr _b0
	lda #BJBLOGO_CLEAR
	sta temp+1
	ldx #SCREEN_WIDTH/4-1+SCREEN_WIDTH/4
	ldy #0+SCREEN_WIDTH/4
	jsr _b0

	lda BJB_CLS_FRAMES
	ldx BJB_CLS_FRAMES+1
	jsr incSceneCounter
	sty BJB_CLS_FRAMES
	sta BJB_CLS_FRAMES+1

	rts

BJB_PAL1_FRAMES		dta a(14)

bjb_pal1
	;draw logo
	lda #<bjblogo
	sta _p2bX+1
	lda #>bjblogo
	sta _p2bX+2

	lda #BJBLOGO_TOP
	sta bufor+1
	ldy #BJBLOGO_RIGHT
	ldx #BJBLOGO_WIDTH
	lda #BJBLOGO_HEIGHT
	jsr pic2buf

	;change pallete
_bp1	lda #$01
	sta COL3
	inc _bp1+1

	lda BJB_PAL1_FRAMES
	ldx BJB_PAL1_FRAMES+1
	jsr incSceneCounter
	sty BJB_PAL1_FRAMES
	sta BJB_PAL1_FRAMES+1

	rts

BJB_WAIT1_FRAMES	dta a(128)

bjb_wait1
	lda BJB_WAIT1_FRAMES
	ldx BJB_WAIT1_FRAMES+1
	jsr incSceneCounter
	sty BJB_WAIT1_FRAMES
	sta BJB_WAIT1_FRAMES+1

	rts

BJB_PAL2_FRAMES		dta a(14)

bjb_pal2
	;change pal
_bp2	lda #$0F
	sta COL3
	dec _bp2+1

	lda BJB_PAL2_FRAMES
	ldx BJB_PAL2_FRAMES+1
	jsr incSceneCounter
	sty BJB_PAL2_FRAMES
	sta BJB_PAL2_FRAMES+1

	rts

;------WIRES------

DROOTY_INIT_FRAMES	dta a(1)

drooty_init
	;prepare tables
	jsr makeDiv4Table
	jsr makeAndTable
	jsr makeOraTable

	;change pal
	lda #$0F
	sta COL3

	lda DROOTY_INIT_FRAMES
	ldx DROOTY_INIT_FRAMES+1
	jsr incSceneCounter
	sty DROOTY_INIT_FRAMES
	sta DROOTY_INIT_FRAMES+1

	rts

DROOTY1_FRAMES		dta a(150)

drooty1
	;change pallete (kolor 02)
_d1c2	lda #$00
	sta COL2
	cmp #$0F
	beq bli
	inc _d1c2+1
bli
	;clear screen
	lda #DROOTY_CLEAR1
	ldx #SCREEN_WIDTH/4-1
	ldy #0
	jsr clrScr

	;draw bjb logo
	lda #<bjblogo
	sta _p2bX+1
	lda #>bjblogo
	sta _p2bX+2

	lda #BJBLOGO_TOP
	sta bufor+1
	ldy #BJBLOGO_RIGHT
	ldx #BJBLOGO_WIDTH
	lda #BJBLOGO_HEIGHT
	jsr pic2buf

	;draw cube
	jsr WiredCube

	inc angle

	lda DROOTY1_FRAMES
	ldx DROOTY1_FRAMES+1
	jsr incSceneCounter
	sty DROOTY1_FRAMES
	sta DROOTY1_FRAMES+1

	rts

DROOTY2_FRAMES		dta a(300)

drooty2
_d2c3	lda #$0F
	sta COL3
	beq blu
	dec _d2c3+1
blu
	;clear screen
	lda #DROOTY_CLEAR1
	ldx #SCREEN_WIDTH/4-1
	ldy #0
	jsr clrScr

	;draw bjb logo
	lda #<bjblogo
	sta _p2bX+1
	lda #>bjblogo
	sta _p2bX+2

	lda #BJBLOGO_TOP
	sta bufor+1
	ldy #BJBLOGO_RIGHT
	ldx #BJBLOGO_WIDTH
	lda #BJBLOGO_HEIGHT
	jsr pic2buf

	;draw cube
	jsr WiredCube

	inc angle

	ldx xcenter
	cpx #32
	beq yuk
	dec xcenter
yuk
	lda DROOTY2_FRAMES
	ldx DROOTY2_FRAMES+1
	jsr incSceneCounter
	sty DROOTY2_FRAMES
	sta DROOTY2_FRAMES+1

	rts

DROOTY3_FRAMES		dta a(1)

drooty3
_d3c2	ldx #$1F
	stx COL2
	dex
	stx _d3c2+1
	bne blum

	lda DROOTY3_FRAMES
	ldx DROOTY3_FRAMES+1
	jsr incSceneCounter
	sty DROOTY3_FRAMES
	sta DROOTY3_FRAMES+1
blum
	;draw cube
	jsr WiredCube

:2	dec angle

	rts

DROOTY4_FRAMES		dta a(2)

drooty4
	;draw bg
	lda #<drootybg
	sta _p2bX+1
	lda #>drootybg
	sta _p2bX+2

	lda #DROOTYBG_TOP
	sta bufor+1
	ldy #DROOTYBG_RIGHT
	ldx #DROOTYBG_WIDTH
	lda #DROOTYBG_HEIGHT
	jsr pic2buf

	;set pal
	lda #$00
	sta COL0
	lda #$03
	sta COL1
	lda #$07
	sta COL2
	lda #$0F
	sta COL3

	lda DROOTY4_FRAMES
	ldx DROOTY4_FRAMES+1
	jsr incSceneCounter
	sty DROOTY4_FRAMES
	sta DROOTY4_FRAMES+1

	rts

DROOTY5_FRAMES		dta a(256)

drooty5
	;clear screen
	lda #DROOTY_CLEAR1
	ldx #SCREEN_WIDTH/8-1
	ldy #0
	jsr clrScr

	;draw cube
	jsr WiredCube

:2	dec angle

	lda DROOTY5_FRAMES
	ldx DROOTY5_FRAMES+1
	jsr incSceneCounter
	sty DROOTY5_FRAMES
	sta DROOTY5_FRAMES+1

	rts

DROOTY6_FRAMES		dta a(64)

drooty6
_d6c3	lda #$0F
	sta COL3
	beq _d6c1
	lsr _d6c3+1

_d6c1	lda #$03
	sta COL1
	beq _d6c2
	dec _d6c1+1

_d6c2	lda #$07
	sta COL2
	beq uah
	dec _d6c2+1

	;draw cube
	jsr WiredCube

	inc angle
	inc xcenter
uah
	lda DROOTY6_FRAMES
	ldx DROOTY6_FRAMES+1
	jsr incSceneCounter
	sty DROOTY6_FRAMES
	sta DROOTY6_FRAMES+1

	rts

;------CREDITS------

CREDITS_DELY_FRAMES	dta a(32)

credits_dely
	;clear screen
	lda #CREDITS_CLEAR
	ldx #SCREEN_WIDTH/4-1
	ldy #0
	jsr clrScr

	;draw
	lda #<dely
	sta _p2bX+1
	lda #>dely
	sta _p2bX+2

	lda #CREDITS_TOP
	sta bufor+1
	ldy #GPHX_RIGHT
	ldx #GPHX_WIDTH
	lda #CREDITS_HEIGHT
	jsr pic2buf
	
	;change pal
_cic1	lda #$00
	sta COL2
	cmp #$08
	beq hyhz
	inc _cic1+1

	lda #$00
	sta COL0
	lda #$03
	sta COL1
	lda #$0F
	sta COL3

	;copy chess triangle table
	lda #0
	sta chckV
	ldy #4*18
	sty polysQty
	ldx #<TrianglesChess
	lda #>TrianglesChess
	jsr CopyTriangles

hyhz
	lda CREDITS_DELY_FRAMES
	ldx CREDITS_DELY_FRAMES+1
	jsr incSceneCounter
	sty CREDITS_DELY_FRAMES
	sta CREDITS_DELY_FRAMES+1

	rts

CUBE_DELY_FRAMES	dta a(100)

cube_dely
	;clear screen
	lda #CREDITS_CLEAR
	ldx #SCREEN_WIDTH/4-1
	ldy #GPHX_RIGHT+7
	jsr clrScr

	lda #SCREEN_WIDTH/2+25
	sta xcenter
	lda #SCREEN_HEIGHT/2+SCREEN_TOP-1
	sta ycenter

	ldx #0
_ym	lda #70
	beq yummie
kra	sta gridZ,x
	inx
	cpx #16
	bne kra

:2	dec _ym+1
yummie

	jsr Rotate
	jsr FeelDaCube

	dec xangle
:3	inc yangle
:4	dec zangle

	lda CUBE_DELY_FRAMES
	ldx CUBE_DELY_FRAMES+1
	jsr incSceneCounter
	sty CUBE_DELY_FRAMES
	sta CUBE_DELY_FRAMES+1

	rts

CREDITS_MIKER_FRAMES	dta a(2)

credits_miker
	;draw
	lda #<miker
	sta _p2bX+1
	lda #>miker
	sta _p2bX+2

	lda #CREDITS_TOP
	sta bufor+1
	ldy #MZX_RIGHT
	ldx #MZX_WIDTH
	lda #CREDITS_HEIGHT
	jsr pic2buf

	lda CREDITS_MIKER_FRAMES
	ldx CREDITS_MIKER_FRAMES+1
	jsr incSceneCounter
	sty CREDITS_MIKER_FRAMES
	sta CREDITS_MIKER_FRAMES+1

	rts

CUBE_MIKER_FRAMES	dta a(100)

cube_miker
	;clear screen
	lda #CREDITS_CLEAR
	ldx #SCREEN_WIDTH/4-1
	ldy #GPHX_RIGHT+7
	jsr clrScr

	jsr Rotate
	jsr FeelDaCube

;	dec xangle
:3	inc yangle
	inc zangle

	lda CUBE_MIKER_FRAMES
	ldx CUBE_MIKER_FRAMES+1
	jsr incSceneCounter
	sty CUBE_MIKER_FRAMES
	sta CUBE_MIKER_FRAMES+1

	rts

CREDITS_SMG_FRAMES	dta a(2)

credits_smg
	;draw
	lda #<smg
	sta _p2bX+1
	lda #>smg
	sta _p2bX+2

	lda #CREDITS_TOP
	sta bufor+1
	ldy #KD_RIGHT
	ldx #KD_WIDTH
	lda #CREDITS_HEIGHT
	jsr pic2buf

	lda CREDITS_SMG_FRAMES
	ldx CREDITS_SMG_FRAMES+1
	jsr incSceneCounter
	sty CREDITS_SMG_FRAMES
	sta CREDITS_SMG_FRAMES+1

	rts

CUBE_SMG_FRAMES		dta a(100)

cube_smg
	;clear screen
	lda #CREDITS_CLEAR
	ldx #SCREEN_WIDTH/4-1
	ldy #GPHX_RIGHT+7
	jsr clrScr

	jsr Rotate
	jsr FeelDaCube

:2	inc xangle
:3	inc yangle
	inc zangle

	lda CUBE_SMG_FRAMES
	ldx CUBE_SMG_FRAMES+1
	jsr incSceneCounter
	sty CUBE_SMG_FRAMES
	sta CUBE_SMG_FRAMES+1

	lda CUBE_SMG_FRAMES
	cmp #16
	bpl csmg_end

_fs3	lda #$0F
	beq _fs2
	sta COL3
	dec _fs3+1
_fs2	lda #$07
	beq _fs1
	sta COL2
	dec _fs2+1
_fs1	lda #$03
	beq csmg_end
	sta COL1
	dec _fs1+1

csmg_end

	rts

FEJD_FRAMES		dta a(16)

fejd
_f3	lda #$0F
	beq _f2
	sta COL3
	dec _f3+1
_f2	lda #$07
	beq _f1
	sta COL2
	dec _f2+1
_f1	lda #$03
	beq lalala
	sta COL1
	dec _f1+1

lalala
	lda FEJD_FRAMES
	ldx FEJD_FRAMES+1
	jsr incSceneCounter
	sty FEJD_FRAMES
	sta FEJD_FRAMES+1

	rts

;------FEEL------

FEEL_INIT_FRAMES	dta a(1)

feel_init
	;prepare tables
	jsr makeSqrTab
	jsr makeAndTables
	jsr makeColorTables
	jsr makeKKolorTable
	jsr makeDiv4Table
	jsr generateFillCode
	jsr makeTrigTabs
	jsr makePerspectiveTab

	lda #0
	sta angle

	lda FEEL_INIT_FRAMES
	ldx FEEL_INIT_FRAMES+1
	jsr incSceneCounter
	sty FEEL_INIT_FRAMES
	sta FEEL_INIT_FRAMES+1

	rts

CUBES_INIT_FRAMES	dta a(2)

cubes_init
	;clear screen
	lda #CREDITS_CLEAR
	ldx #SCREEN_WIDTH/4-1
	ldy #0
	jsr clrScr

	ldy #4*12
	sty polysQty
	ldx #<TrianglesCube
	lda #>TrianglesCube
	jsr CopyTriangles

	lda #1
	sta chckV

	;set pal
	lda #$00
	sta COL0
	lda #$08
	sta COL1
	lda #$02
	sta COL2
	lda #$0F
	sta COL3

	lda CUBES_INIT_FRAMES
	ldx CUBES_INIT_FRAMES+1
	jsr incSceneCounter
	sty CUBES_INIT_FRAMES
	sta CUBES_INIT_FRAMES+1

	rts

angle1	dta b(0)
angle2	dta b(0)
angle3	dta b(0)

FEEL3CUBES_FRAMES	dta a(240)

feel3cubes
	;clear screen
	lda #FEEL_CLEAR1
	ldx #SCREEN_WIDTH/4-1
	ldy #0
	jsr clrScr

	;rotate ^ draw
cube1
	lda angle3
	sta angle
	lda #SCREEN_WIDTH
	sta xcenter
	lda #SCREEN_HEIGHT+SCREEN_TOP
	sta ycenter
	jsr RotDaCube

	ldx #7
fgy	lda RotatedX,x
:2	lsr @
	adc #46
	sta RotatedX,x
	lda RotatedY,x
:2	lsr @
	adc #15
	sta RotatedY,x
	dex
	bpl fgy

	jsr FeelDaCube
:8	dec angle3

cube2
	lda angle1
	sta angle
	lda #SCREEN_WIDTH
	sta xcenter
	lda #SCREEN_HEIGHT/2+SCREEN_TOP+14
	sta ycenter
	jsr RotDaCube

	ldx #7
fg	lsr RotatedX,x
	lsr RotatedY,x
	dex
	bpl fg

	jsr FeelDaCube
:4	inc angle1

cube3
	lda angle2
	sta angle
	lda #SCREEN_WIDTH/4+7
	sta xcenter
	lda #SCREEN_HEIGHT/2+SCREEN_TOP
	sta ycenter
	jsr RotDaCube
	jsr FeelDaCube
:2	dec angle2


	lda FEEL3CUBES_FRAMES
	cmp #32
	bcs cubes_done

fejdcubz
_fc3	lda #$0F
	beq _fc2
	sta COL3
	dec _fc3+1
_fc2	lda #$07
	beq _fc1
	sta COL2
	dec _fc2+1
_fc1	lda #$03
	beq cubes_done
	sta COL1
	dec _fc1+1

cubes_done
	lda FEEL3CUBES_FRAMES
	ldx FEEL3CUBES_FRAMES+1
	jsr incSceneCounter
	sty FEEL3CUBES_FRAMES
	sta FEEL3CUBES_FRAMES+1

	rts

;------GRD------

BRACKETS_FRAMES		dta a(32)

brackets
	;clear screen
	lda #BRACKETS_CLEAR
	ldx #SCREEN_WIDTH/4-1
	ldy #0
	jsr clrScr

	;draw
	lda #<lbracket
	sta _p2bX+1
	lda #>lbracket
	sta _p2bX+2

	lda #LBRACKET_TOP
	sta bufor+1
	ldy #LBRACKET_RIGHT
	ldx #BRACKET_WIDTH
	lda #BRACKET_HEIGHT
	jsr pic2buf

	lda #<rbracket
	sta _p2bX+1
	lda #>rbracket
	sta _p2bX+2

	lda #RBRACKET_TOP
	sta bufor+1
	ldy #RBRACKET_RIGHT
	ldx #BRACKET_WIDTH
	lda #BRACKET_HEIGHT
	jsr pic2buf

	;set pal
	lda #$00
	sta COL0
	lda #$03
	sta COL1
	lda #$07
	sta COL2
	lda #$0F
	sta COL3

	lda BRACKETS_FRAMES
	ldx BRACKETS_FRAMES+1
	jsr incSceneCounter
	sty BRACKETS_FRAMES
	sta BRACKETS_FRAMES+1

	rts

PREPARE_GRD_FRAMES	dta a(46)

prepare_grd
	jsr makeColorTex
	jsr makeColorShiftTables
	jsr generateGrdCode

	;clear screen
	lda #GRD_CLEAR1
	ldx #RBRACKET_RIGHT-BRACKET_WIDTH-1	;SCREEN_WIDTH/4-1
	ldy #LBRACKET_RIGHT
	jsr clrScr

	lda #SCREEN_WIDTH/2
	sta xcenter
	lda #SCREEN_HEIGHT/2+2
	sta ycenter

	lda PREPARE_GRD_FRAMES
	ldx PREPARE_GRD_FRAMES+1
	jsr incSceneCounter
	sty PREPARE_GRD_FRAMES
	sta PREPARE_GRD_FRAMES+1

	rts

GRD_FRAMES		dta a(218)

grd
	;clear screen
	lda #GRD_CLEAR1
	ldx #RBRACKET_RIGHT-BRACKET_WIDTH-1	;SCREEN_WIDTH/4-1
	ldy #LBRACKET_RIGHT
	jsr clrScr

	jsr RotDaCube
	jsr DrawGrd
:2	inc angle

	lda GRD_FRAMES
	cmp #32
	bcs wait_a_moment

fejd_grd1

_fg3	lda #$0F
	beq _fg2
	sta COL3
	dec _fg3+1
_fg2	lda #$07
	beq _fg1
	sta COL2
	dec _fg2+1
_fg1	lda #$03
	beq wait_a_moment
	sta COL1
	dec _fg1+1

wait_a_moment
	lda GRD_FRAMES
	ldx GRD_FRAMES+1
	jsr incSceneCounter
	sty GRD_FRAMES
	sta GRD_FRAMES+1

	rts


;------BLOWLOGO------

showblow
	sei
	lda #0
	sta $d40e
	lda #$fe
	sta $d301

	lda #<nmi2
	sta $fffa
	lda #>nmi2
	sta $fffb

	lda #$40
	sta $d40e
;---
	lda #$22
	sta $d400

	;copy logo to $8000
	lda #<BLOWLOGO
	sta temp
	lda #>BLOWLOGO
	sta temp+1
	lda #$00
	sta pnt
	lda #$80
	sta pnt+1

	ldx #80
nommm	ldy #0
clogo	lda (temp),y
	sta (pnt),y
	iny
	bne clogo

	lda temp
	clc
	adc #BLOWLOGO_WIDTH
	sta temp
	lda temp+1
	adc #0
	sta temp+1

	lda pnt
	clc
	adc #BLOWLOGO_WIDTH
	sta pnt
	lda pnt+1
	adc #0
	sta pnt+1

	dex
	bne nommm

	;

	lda #<BLOWDL
	sta temp
	lda #>BLOWDL
	sta temp+1
	ldy #$00
	ldx #$80
	jsr makeDL2x1

	inc sceneCnt+1

	rts

end

	;set pal
	lda #$00
	sta COL0
	lda #$03
	sta COL1
	lda #$07
	sta COL2
	lda #$0F
	sta COL3

	rts

;---
pic2buf		;y: right(in bytes), x: width(in bytes), a: height

	sty temp
	stx temp+1
	sta temp2
	dey
	dex

p2b
_p2bX	lda $FFFF,x
	sta (bufor),y

	dey
	dex
	bpl p2b

	lda _p2bX+1
	clc
	adc temp+1
	sta _p2bX+1
	lda _p2bX+2
	adc #0
	sta _p2bX+2

	inc bufor+1
	ldx temp+1
	ldy temp
	dec temp2
	lda temp2
	bne p2b-2

	rts
